import javax.sound.midi.*;

public class MIDITest {
    public static void main(String[] args) {
		System.out.println("Running MIDITest...");

		MidiDevice.Info[] devices = MidiSystem.getMidiDeviceInfo();
		if (devices.length == 0) {
		    System.out.println("No MIDI devices found");
		} else {
		    System.out.println("Available MIDI devices:");
		    for (MidiDevice.Info dev : devices) {
		        System.out.println(dev);
		    }
		}
		
		try {
			Sequencer sequencer = MidiSystem.getSequencer();
		} catch (MidiUnavailableException e) {
			e.printStackTrace();
		}
 
		System.out.println("Done with test!");
    }
}

