import org.jfugue.*;

public class SmokeOnTheWater {
    public static void main(String[] args) {
		/*
		e|-------------|---------------|-------------|-------------
		B|-------------|---------------|-------------|-------------
		G|---0---3---5-|---0---3---6-5-|---0---3---5-|---3--0------
		D|---0---3---5-|---0---3---6-5-|---0---3---5-|---3--0------
		A|-------------|---------------|-------------|-------------
		E|-------------|---------------|-------------|-------------
		 */

		Pattern GD0 = new Pattern("Gb0s+Db0s");
		Pattern GD3 = new Pattern("Gb3s+Db3s");
		Pattern GD5 = new Pattern("Gb5s+Db5s");
		Pattern GD6 = new Pattern("Gb6s+Db6s");
		Pattern Rest = new Pattern("Rs");
		Pattern Rest3 = new Pattern(Rest, Rest, Rest);
		Pattern Rest5 = new Pattern(Rest3, Rest, Rest);
		Pattern GD0RestGD3RestGD5 = new Pattern(GD0, Rest3, GD3, Rest3, GD5);
		
		Pattern Riff = new Pattern("I[GUITAR]");
		Riff.add(Rest3, GD0RestGD3RestGD5, Rest);
		Riff.add(Rest3, GD0, Rest3, GD3, Rest3, GD6, Rest, GD5, Rest);
		Riff.add(Rest3, GD0RestGD3RestGD5, Rest);
		Riff.add(Rest3, GD3, Rest, Rest, GD0, Rest5);
	
		Player player = new Player();
		player.play(Riff);
    }
}
